package net.pricefx.common.apibuilder.compensation;

import net.pricefx.common.api.HeaderPhase;
import net.pricefx.common.apibuilder.IdGenerator;
import net.pricefx.common.apibuilder.Invocations;
import net.pricefx.common.apibuilder.MethodInvocation;
import net.pricefx.common.apibuilder.Methods;
import net.pricefx.common.apibuilder.clicoll.CalculableLineItemCollectionBuilder;

@SuppressWarnings("rawtypes")
public class BasicCompensationBuilder<T extends BasicCompensationBuilder> extends CalculableLineItemCollectionBuilder<T> {

    public BasicCompensationBuilder(String instanceId, String classId, IdGenerator idGenerator, Invocations<MethodInvocation> invocations, HeaderPhase phase) {
        super(instanceId, classId, idGenerator, invocations, phase);
        this.m = new Methods();
    }

    @Override
    public CompensationBuilderResult build() {
        addInvocation(METHOD_BUILD);

        CompensationBuilderResult r = new CompensationBuilderResult();
        r.invocations = invocations.get();
        return r;
    }
}