package net.pricefx.common.apibuilder.compensationagreement;

import java.util.List;

public interface CompensationAgreementBuilderResultProcessor {

    void process();

    List<CompensationAgreementStructure> getNewCompensationAgreementStructures();

    List<?> getItemsToDelete();

    List<?> getItemsToMove();

    List<?> getFoldersToRename();

    List<?> getOutputs();

    List<?> getInputs();

    List<?> getFieldsToUpdate();

    List<?> getRenderInfo();

    List<?> getNewLineItems();
}
